# Running

There are two primary ways to run Mopidy. What way is best depends upon your goals and preferences:

- Running in a terminal
  - Starting
  - Stopping
  - Configuration
- Running as a service
  - Configuration
  - Service user
  - Subcommands
  - Service management with systemd
  - Service management on Debian
  - Service on macOS
    - With Homebrew
    - Without Homebrew
  - System service and PulseAudio